import { CascaderValueT, CascaderOptionT } from './types';
interface CascaderNodeT {
    value: string | number;
    label?: string;
    depth: number;
    parent: CascaderNodeT | null;
    children: CascaderNodeT[];
    isLeaf: boolean;
}
export interface ColumnInfoT {
    value: string | number;
    label?: string;
    depth: number;
    isLeaf: boolean;
    isActive: boolean;
}
export default class CascaderTree {
    root: CascaderNodeT;
    constructor();
    updateTree(options: Array<CascaderOptionT>): void;
    getNode(node: CascaderNodeT, val: string | number): CascaderNodeT | undefined;
    getChild(node: CascaderNodeT, val: string | number): CascaderNodeT | undefined;
    getPanelInfo(val: CascaderValueT | undefined): ColumnInfoT[][];
    getNextColumnInfo(node: CascaderNodeT, activeVal?: string | number): Array<ColumnInfoT>;
}
export {};
